
Figure - Bug #113925
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.android.gallery3d（1）
2022-11-14 11:45 - CD Test赵飞

Status: CLOSED Start date: 2022-11-14

Priority: Normal Due date: 2022-11-21

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211110608

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 200  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch 

10  --pct-anyevent  10  --ignore-crashes   -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.gallery3d (pid 29850)

ANR in com.android.gallery3d (com.android.gallery3d/.app.MovieActivity)

PID: 29850

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.gallery3d/.app.MovieActivity

ErrorId: 019ed10b-dbaa-4295-a326-f9970c8d3aa5

Frozen: false

Load: 6.28 / 5.66 / 5.24

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=1122651

full avg10=0.00 avg60=0.00 avg300=0.00 total=596051

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 17064ms later (2022-11-11 08:18:42.435 to 2022-11-11 08:18:59.499):

  96% 1058/sensors.qti: 20% user + 75% kernel

  47% 1123/system_server: 13% user + 34% kernel / faults: 47783 minor

  34% 956/vendor.qti.hardware.display.composer-service: 10% user + 24% kernel / faults: 413 minor

  28% 1232/tlog: 1.2% user + 26% kernel / faults: 1 minor

  27% 1047/surfaceflinger: 11% user + 15% kernel / faults: 2165 minor

  25% 4797/tlog: 1.3% user + 24% kernel / faults: 1 minor

  20% 2004/com.android.systemui: 10% user + 9.7% kernel / faults: 7840 minor

  15% 1329/media.codec: 5.2% user + 10% kernel / faults: 21861 minor

  7.9% 29850/com.android.gallery3d: 3.1% user + 4.7% kernel / faults: 8869 minor

  7.4% 1403/media.swcodec: 1.3% user + 6% kernel / faults: 10809 minor

  6.6% 2595/com.android.launcher3: 2.9% user + 3.7% kernel / faults: 1648 minor
  5.9% 502/logd: 0.7% user + 5.2% kernel / faults: 3 minor

...

【日志】

Tlog和ANR目录见FTP：

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113739/Tlog&#38;ANR.zip

History

#1 - 2022-11-16 19:48 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-27 16:24 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2022-12-27 17:08 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#4 - 2022-12-28 14:48 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#5 - 2022-12-28 14:49 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
